/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>HandleMap</DEPENDS>
</DEPENDENCIES>
*/
function ServletEventReader (pollUrl, channel, pollInterval) {
    this.pollingId = window.setInterval("ServletEventReader.instance.poll()",
        pollInterval);
    var url = pollUrl;
    var getTest = /\?/g;
    if (getTest.test(url)) {
        url += "&";
    } else {
        url += "?";
    }
    url += ServletEventReader.PARAM_CHANNEL_NAME + "=";
    url += encodeURIComponent(channel);
    url += "&";
    url += ServletEventReader.PARAM_MSG_TYPE + "="
            + ServletEventReader.PARAM_MSG_TYPE_GET;
    this.pollUrl = url;
    ServletEventReader.instance = this;
}
ServletEventReader.PARAM_CHANNEL_NAME = "channel";
ServletEventReader.PARAM_MSG_TYPE = "msg_type";
ServletEventReader.PARAM_MSG_TYPE_GET = "get";
ServletEventReader.prototype.poll = function () {
    if (document.implementation && document.implementation.createDocument) {
        var xmldoc = document.implementation.createDocument("", "", null);
        xmldoc.onload = function() {
            ServletEventReader.prototype.parseDocument(xmldoc);
        }
        xmldoc.load(this.pollUrl);
    } else if (window.ActiveXObject) {
        var xmldoc = new ActiveXObject("Microsoft.XMLDOM");
        xmldoc.onreadystatechange = function () {
            if (xmldoc.readyState == 4)
                ServletEventReader.prototype.parseDocument(xmldoc);
        }
        xmldoc.load(this.pollUrl);
    } 
}
ServletEventReader.prototype.parseDocument = function (xmldoc) {
    var javascript = xmldoc.getElementsByTagName('javascript');
    for( var i = 0; i < javascript.length; i++) {
        for( var j = 0; j < javascript[i].childNodes.length; j++) {
            eval(javascript[i].childNodes[j].data);
        }
    }
}
ServletEventReader.prototype.stopPolling = function () {
    window.clearInterval(this.pollingId);
}
