/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>DomletCtr</DEPENDS>
    <DEPENDS>Domlet</DEPENDS>
    <DEPENDS>Actions</DEPENDS>
</DEPENDENCIES>
*/
SimplePushButton.prototype             = new DomletCtr();
SimplePushButton.prototype.constructor = SimplePushButton;
SimplePushButton.superclass            = DomletCtr.prototype;
function SimplePushButton(domId, enabled, name, parent)
{
      ;
    if (domId) 
    {
        this.init(domId, enabled, name, parent);
    }
} 
SimplePushButton.prototype.init = function(domId, enabled, name, parent)
{
    SimplePushButton.superclass.init.call(this, domId, name, parent);
    ;
    this.addDomlet(new Domlet(
        this.domId,     
        this.name,      
        this.parent,    
        new Array(      
            'click',
            'mousedown',
            'mouseup'
        )
    ));
    this.enabled = ((enabled == undefined) ? true : enabled);
    ;
} 
SimplePushButton.prototype.getEnableAction = function()
{
    return new ObjectMethodAction(this, "setEnabled", true);
}
SimplePushButton.prototype.getDisableAction = function()
{
    return new ObjectMethodAction(this, "setEnabled", false);
}
SimplePushButton.prototype.setPressedAction = function(action)
{
   ;
   this.pressedAction = action;
   ;
}
SimplePushButton.prototype.setDownAction = function(action)
{
   ;
   this.downAction = action;
}
SimplePushButton.prototype.setUpAction = function(action)
{
   ;
   this.upAction = action;
}
SimplePushButton.prototype.setEnabled = function(enabled)
{
    this.enabled = enabled;
}
SimplePushButton.prototype.eventFromChild = function(childName, eventType)
{
    ;
    if (this.enabled)
    {
        switch(eventType)
        {
            case "click" :
            {
              if (this.buttonGroupManager)
                  this.buttonGroupManager.buttonPushed(this);
              if (this.pressedAction)
              {
                  ;
                  this.pressedAction.invoke();
              }
              break;
            }
            case 'mousedown' :
            {
                if (this.downAction)
                {
                    ;
                    this.downAction.invoke();
                }
                break;
            }
            case 'mouseup' :
            {
                if (this.upAction)
                {
                    ;
                    this.upAction.invoke();
                }
                break;
            }
         }
    }
} 
SimplePushButton.prototype.setButtonGroupManager = function(buttonGroupManager)
{
    this.buttonGroupManager = buttonGroupManager;
}
