/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Broker</DEPENDS>
    <DEPENDS>ValueMap</DEPENDS>
    <DEPENDS>Action</DEPENDS>
</DEPENDENCIES>
*/
SelectItemBroker.prototype             = new Broker();
SelectItemBroker.prototype.constructor = SelectItemBroker;
SelectItemBroker.superclass            = Broker.prototype;
function SelectItemBroker(sId)
{
  if (sId) { this.init(sId); }
}
SelectItemBroker.prototype.init = function(sId)
{
  ;   
  this.sId = sId;
  SelectItemBroker.superclass.init.call(this, sId);
}
SelectItemBroker.prototype.doActivate = function()
{
  this.getMessage('activate');
}
SelectItemBroker.prototype.addActivateHandle = function(action)
{
  this.registerAction('activate', action);
}
SelectItemBroker.prototype.getActivateAction = function()
{
  return new ObjectMethodAction(this, 'activate');
}
SelectItemBroker.prototype.activate = function()
{
  ;
  this.doActivate();
}
SelectItemBroker.prototype.doDeactivate = function()
{
  this.getMessage('deactivate');
}
SelectItemBroker.prototype.addDeactivateHandle = function(action)
{
  this.registerAction('deactivate', action);
}
SelectItemBroker.prototype.getDeactivateAction = function()
{
  return new ObjectMethodAction(this, 'deactivate' );
}
SelectItemBroker.prototype.deactivate = function()
{
  ;
  this.doDeactivate();
}
SelectItemBroker.prototype.doSend = function(Key, Value, bSend)
{
  var paramArray = new Array();
  var oValueMap = new ValueMap(this.sId + '_DynValuaMap_' + Key + '_' + Value + '_' + this.nValueMap++, bSend);
  oValueMap.addKeyValue(Key, Value);
  paramArray.push(oValueMap);
  this.getMessage('send', paramArray);
}
SelectItemBroker.prototype.addSendHandle = function(action)
{
  this.registerAction('send', action);
}
SelectItemBroker.prototype.getSendAction = function(Key, Value, bSend)
{
  return new ObjectMethodAction(this, 'send', Key, Value, bSend);
}
SelectItemBroker.prototype.send = function(Key, Value, bSend)
{
  ;
  this.doSend(Key, Value, bSend);
}
SelectItemBroker.prototype.doPreSelect = function()
{
  this.getMessage('preSelect');
}
SelectItemBroker.prototype.addPreSelectHandle = function(action)
{
  this.registerAction('preSelect', action);
}
SelectItemBroker.prototype.getPreSelectAction = function()
{
  return new ObjectMethodAction(this, 'preSelect');
}
SelectItemBroker.prototype.preSelect = function()
{
  ;
  this.doPreSelect();
}
SelectItemBroker.prototype.doActivateWithEnter = function()
{
  this.getMessage('activateWithEnter');
}
SelectItemBroker.prototype.addActivateWithEnterHandle = function(action)
{
  this.registerAction('activateWithEnter', action);
}
SelectItemBroker.prototype.getActivateWithEnterAction = function()
{
  return new ObjectMethodAction(this, 'activateWithEnter');
}
SelectItemBroker.prototype.activateWithEnter = function()
{
  ;
  this.doActivateWithEnter();
}
