/*
<DEPENDENCIES>
    <DEPENDS>Browser</DEPENDS>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Controller</DEPENDS>
    <DEPENDS>DomletCtr</DEPENDS>
</DEPENDENCIES>
*/
SelectManager.prototype             = new DomletCtr();
SelectManager.prototype.constructor = SelectManager;
SelectManager.superclass            = DomletCtr.prototype;
function SelectManager(sId, sInputWidgetDomId)
{
  if (sId) { this.init(sId, sInputWidgetDomId); }
}
SelectManager.prototype.init = function(sId, sInputWidgetDomId)
{
  ;   
  this.sId = sId;
  this.oActiveSelectItem = null;
  this.aSelectItems = new Array();
  this.lastFound = null;
  SelectManager.superclass.init.call(this, this.sInputWidgetDomId, this.sId, this);
  this.inputWidget = document.getElementById(sInputWidgetDomId);
  this.sInputWidgetDomId = sInputWidgetDomId;
  if (this.inputWidget == null)
  {
      ;
  }
  if( this.inputWidget )
  {
    this.addDomlet(new Domlet(
      this.sInputWidgetDomId,      
      this.sInputWidgetDomId,      
      this,                        
    new Array('keyup')))     
  }
}
SelectManager.prototype.getId = function()
{
  ;
  return this.sId;
}
SelectManager.prototype.send = function()
{
  ;
  this.oActiveSelectItem.oBroker.doSend();
}
SelectManager.prototype.setActiveSelectItem = function(oActiveSelectItem)
{
  ;
  if ( this.oActiveSelectItem && this.oActiveSelectItem.oBroker)
  {
    this.oActiveSelectItem.oBroker.doDeactivate();
  }
  this.oActiveSelectItem = oActiveSelectItem;
  if ( this.oActiveSelectItem && this.oActiveSelectItem.oBroker)
  {
    this.oActiveSelectItem.oBroker.doActivate();
  }
}
SelectManager.prototype.setActiveWithEnterSelectItem = function(oActiveWithEnterSelectItem)
{
  ;
  oActiveWithEnterSelectItem.oBroker.doActivateWithEnter();
}
SelectManager.prototype.setPreselectItem = function(oPreselectItem)
{
  ;
  this.inputWidget.value = oPreselectItem.sText;
  this.setActiveSelectItem(oPreselectItem);
}
SelectManager.prototype.registerSelectItem = function(oSelectItem)
{
  ;
  //    ;
  oSelectItem.oBroker.addPreSelectHandle(this.getSetPreselectItem(oSelectItem));
  this.aSelectItems.push(oSelectItem);
}
SelectManager.prototype.eventFromChild = function(childName, eventType, event)
{
  ////;
  var domlet = this.domlets[childName];
  switch(eventType)
  {
    case "keyup" :
      ;
      this.keyupHandler(domlet, event);
      break;
  }
}
 SelectManager.prototype.keyupHandler = function(domlet, event)
 {
   ;
   var sInputText = this.inputWidget.value.toLowerCase();
   var nFound = null;
   var oSelectItem = null;
   for ( var i = 0; i < this.aSelectItems.length; i++)
   {
     if ( nFound == sInputText.length )
     {
       break;
     }
     var tmpFound = null;
     for ( var j = 0;  j < this.aSelectItems[i].sText.length  && j < sInputText.length ;j++ )
     {
       if (this.aSelectItems[i].sText.toLowerCase().charAt(j) == sInputText.charAt(j))
       {
         tmpFound++;
       }
       else
       {
         tmpFound = 0;
         break;
       }
     }
     if ( tmpFound > nFound )
     {
       oSelectItem = this.aSelectItems[i];
       nFound = tmpFound;
     }
   }
   if (oSelectItem == null)
   {
     this.setActiveSelectItem(oSelectItem);
     if ((this.lastFound != null)&&(sInputText.length > 0))
     {
       this.setActiveSelectItem(this.lastFound);
       if ( event.keyCode == 13)
       {
         this.setActiveWithEnterSelectItem(this.lastFound);
       }
     }
     else
       this.lastFound = null;
   }
   else
   {
     this.lastFound = oSelectItem;
     this.setActiveSelectItem(oSelectItem);
     if ( event.keyCode == 13)
     {
       this.setActiveWithEnterSelectItem(this.lastFound);
     }
   }
 }
SelectManager.prototype.getSendAction = function()
{
  return new ObjectMethodAction(this, 'send');
}
SelectManager.prototype.getSetActiveSelectItem = function(oSelectItem)
{
  return new ObjectMethodAction(this, 'setActiveSelectItem', oSelectItem);
}
SelectManager.prototype.getSetPreselectItem = function(oSelectItem)
{
  return new ObjectMethodAction(this, 'setPreselectItem', oSelectItem);
}
function SelectItem(sId, sText, oBroker)
{
  if (sId) { this.init(sId, sText, oBroker); }
}
SelectItem.prototype.init = function(sId, sText, oBroker)
{
  ;   
  this.sId = sId;
  this.sText = sText;
  this.oBroker = oBroker;
}
