/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Broker</DEPENDS>
    <DEPENDS>Actions</DEPENDS>
</DEPENDENCIES>
*/
HighlighterBroker.prototype             = new Broker();
HighlighterBroker.prototype.constructor = HighlighterBroker;
HighlighterBroker.superclass            = Broker.prototype;
function HighlighterBroker()
{
  //;
  HighlighterBroker.superclass.init.call(this, "HighlighterBroker");
}
HighlighterBroker.prototype.doEnableSelect = function()
{
  this.getMessage("EnableSelect");
}
HighlighterBroker.prototype.addEnableSelectHandle = function(action)
{
  this.registerAction("EnableSelect", action);
}
HighlighterBroker.prototype.getEnableSelectAction = function(action)
{
  return new ObjectMethodAction(this, "enableSelect");
}
HighlighterBroker.prototype.enableSelect = function()
{
  this.doEnableSelect();
}
HighlighterBroker.prototype.doDisableSelect = function()
{
  this.getMessage("DisableSelect");
}
HighlighterBroker.prototype.addDisableSelectHandle = function(action)
{
  this.registerAction("DisableSelect", action);
}
HighlighterBroker.prototype.getDisableSelectAction = function(action)
{
  return new ObjectMethodAction(this, "disableSelect");
}
HighlighterBroker.prototype.disableSelect = function()
{
  this.doDisableSelect();
}
