/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Actions</DEPENDS>
</DEPENDENCIES>
*/
function PlaylistEntry(id, url)
{
	;
	this.init(id, url);
}
PlaylistEntry.prototype.init = function(id, url)
{
	;
	this.id = id;
	this.url = url;
	this.initialized = false;
	this.playRequested = false;
}
PlaylistEntry.prototype.setRegistry = function(registry)
{
	this.registry = registry;
}
PlaylistEntry.prototype.start = function()
{
	
	;
	var handle = this.registry.getHandle(this.url);
	;
	if (handle)
		this.player = this.registry.getPlayer(handle);
	this.doStart();
	
	this.initialized = true;
	if (this.playRequested == true)
	{
		this.playRequested = false;
		this.play();
	}
}
PlaylistEntry.prototype.play = function()
{
	;
	if (this.initialized == false)
		this.playRequested = true;
	else
		if (this.player)
			this.player.play();
}
PlaylistEntry.prototype.stop = function()
{
	;
	if (this.initialized == false)
		this.playRequested = false;
	else (this.player)
{
	this.player.stop();
}
}
PlaylistEntrySound.prototype = new PlaylistEntry();
PlaylistEntrySound.prototype.constructor = PlaylistEntrySound;
PlaylistEntrySound.superclass = PlaylistEntry.prototype;
function PlaylistEntrySound(id, url)
{
	this.init(id, url);
}
PlaylistEntrySound.prototype.init = function(id, url)
{
	PlaylistEntrySound.superclass.init.call(this, id, url);
	this.stoppedHandles = new Array();
}
PlaylistEntrySound.prototype.addStartedHandle = function(handle)
{
	
}
PlaylistEntrySound.prototype.addStoppedHandle = function(handle)
{
	this.stoppedHandles.push(handle);
}
PlaylistEntrySound.prototype.addFinishedHandle = function(handle)
{
	
}
PlaylistEntrySound.prototype.doStart = function()
{
	if (this.player)
	{
	    for (var i = 0; i < this.stoppedHandles.length; i++)
		{
			this.player.soundBroker.addSoundStoppedHandle(this.stoppedHandles[i]);
		}
	}
}
PlaylistEntryMovie.prototype = new PlaylistEntry();
PlaylistEntryMovie.prototype.constructor = PlaylistEntryMovie;
PlaylistEntryMovie.superclass = PlaylistEntry.prototype;
function PlaylistEntryMovie(id, url)
{
	this.init(id, url);
}
PlaylistEntryMovie.prototype.init = function(id, url)
{
	PlaylistEntryMovie.superclass.init.call(this, id, url);
	this.stoppedHandles = new Array();
}
PlaylistEntryMovie.prototype.addStartedHandle = function(handle)
{
	
}
PlaylistEntryMovie.prototype.addStoppedHandle = function(handle)
{
	this.stoppedHandles.push(handle);
}
PlaylistEntryMovie.prototype.addFinishedHandle = function(handle)
{
	
}
PlaylistEntryMovie.prototype.doStart = function()
{
	if (this.player)
	{
	    for (var i = 0; i < this.stoppedHandles.length; i++)
		{
			this.player.movieBroker.addMovieStoppedHandle(this.stoppedHandles[i]);
		}
	}
}
