/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Browser</DEPENDS>
</DEPENDENCIES>
*/
function SpeechRecognitionUtterance(sId, sKey, bCorrect, sFeedback)
{
  this.init(sId, sKey, bCorrect, sFeedback);
}
SpeechRecognitionUtterance.prototype.init = function(sId, sKey, bCorrect, sFeedback)
{
  this.sId = sId;
  this.sKey = sKey;
  this.bCorrect = bCorrect;
  this.sFeedback = sFeedback;
}
SpeechRecognitionUtterance.prototype.isCorrect = function()
{
  return this.bCorrect;
}
SpeechRecognitionUtterance.prototype.hasFeedback = function()
{
  return (this.sFeedback != null);
}
SpeechRecognitionUtterance.prototype.getFeedback = function()
{
  return this.sFeedback;
}
SpeechRecognitionUtterance.prototype.getKey = function()
{
  return this.sKey;
}
