/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Broker</DEPENDS>
</DEPENDENCIES>
*/
function SRMatcherManager(confidenceLevel) {
    this.confidenceLevel = confidenceLevel;
    this.matcherRecognitionKeySuccesBrokerArray = new Array();
    this.matcherRecognitionKeyFailureBrokerArray = new Array();
    this.noKeyRegisteredBroker = null;
}
SRMatcherManager.prototype.getEarDataRecognizedAction = function()
{
	return new ObjectMethodAction(this, 'earDataRecognized');
}
SRMatcherManager.prototype.earDataRecognized = function(earData)
{
	if (earData)
	{
		var confidenceLevel = earData.getConfidenceLevel();
		if (confidenceLevel > this.confidenceLevel)
		{
			
			broker = this.matcherRecognitionKeySuccesBrokerArray[earData.getWordId()];
		}
		else
		{
         	
         	broker = this.matcherRecognitionKeyFailureBrokerArray[earData.getWordId()];
		}
		if (broker)
			broker.doEarDataRecognized(earData);
		else
			if (this.noKeyRegisteredBroker)
				this.noKeyRegisteredBroker.doEarDataRecognized(earData);
	}
}
SRMatcherManager.prototype.registerRecognitionKeyBroker = function(key, success, broker)
{
 	;
 	if (success == true)
 	{
 		;
 		this.matcherRecognitionKeySuccesBrokerArray[key] = broker;
    }
    else
    {
    	;
    	this.matcherRecognitionKeyFailureBrokerArray[key] = broker;
    }
}
SRMatcherManager.prototype.setNoKeyRegisteredBroker = function(broker)
{
	this.noKeyRegisteredBroker = broker;
}
