/*
<DEPENDENCIES>
	<DEPENDS>Logger</DEPENDS>
	<DEPENDS>ServiceRegistryAccessor</DEPENDS>
</DEPENDENCIES>
*/
function LMSDispatcherStatic(sId)
{
  if (sId) { this.init(sId); }
}
LMSDispatcherStatic.prototype.init = function(sId)
{
	this.sId = sId;
	this.timeout = 0;   
	this.sendachievement = false;
	this.entryId = null;
}
LMSDispatcherStatic.prototype.getId = function()
{
  return this.sId;
}
LMSDispatcherStatic.prototype.start = function()
{
    var lmsconnector = null;
	var serviceregistry = ServiceRegistryAccess.getServiceRegistry();
	if (serviceregistry)
   		lmsconnector = serviceregistry.getService("lmsconnector");
	
	if (lmsconnector)
	{
		if (this.entryId || this.finished || this.sendachievement)
		{
			if (this.entryId)
				lmsconnector.setLastVisitedLocation(this.folderId, this.entryId);
			if (this.sendachievement)
				lmsconnector.retrieveAchievementData();
			if (this.timeout && this.timeout > 0)
				lmsconnector.notifyFinished(this.timeout);
			lmsconnector.sendData();
		}
		else
		{
			;
		}
	}
	else
	{
		;
	}
}
LMSDispatcherStatic.prototype.notifyAchievement = function()
{
	;
	this.sendachievement = true;
}
LMSDispatcherStatic.prototype.notifyFinish = function(timeout)
{
	;
	this.timeout = timeout;
}
LMSDispatcherStatic.prototype.notifyLocation = function(folderId, entryId)
{
	;
	this.entryId = entryId;
	this.folderId = folderId;
}
