/*
<DEPENDENCIES>
    <DEPENDS>Browser</DEPENDS>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Domlet</DEPENDS>
    <DEPENDS>PagingSlider</DEPENDS>
    <DEPENDS>Actions</DEPENDS>
</DEPENDENCIES>
*/
PagingWidget.prototype             = new PagingSlider();
PagingWidget.prototype.constructor = PagingWidget;
PagingWidget.superclass            = PagingSlider.prototype;
function PagingWidget(name, parent)
{
    ;
    if (name) 
    {
        this.init(name, parent);
    }
} 
PagingWidget.prototype.init = function(name, parent)
{
    PagingWidget.superclass.init.call(this, name, parent);
    ;
} 
PagingWidget.prototype.registerPagingBroker = function(broker)
{
    this.pagingBroker = broker;
	this.pagingBroker.addJumpToHandle(new ObjectMethodAction(this, "scrollToPageFromBroker"));
}
PagingWidget.prototype.addPageNumber = function(pageNumberId)
{
    this.addDomlet(new Domlet(
        pageNumberId,  
        pageNumberId,  
        this,          
        new Array(     
            'click'
        )
    ));
    PagingWidget.superclass.addPageNumber.call(this, pageNumberId);
}
PagingWidget.prototype.setActivePageIndicator = function(activePageIndicatorId)
{
    this.activePageIndicatorId = activePageIndicatorId;
    this.activePageIndicatorDimX = Browser.getElementById(activePageIndicatorId).offsetWidth;
    this.activePageIndicatorDimY = Browser.getElementById(activePageIndicatorId).offsetHeigth;
}
PagingWidget.prototype.start = function()
{
    this.addScrollToPageCompleteListenerAction(new ObjectMethodAction(this, 'setPageIndicatorToActivePage'));
    PagingWidget.superclass.start.call(this);
    this.setPageIndicatorToActivePage();
    if (this.pagingBroker)
        this.pagingBroker.addJumpToHandle(new ObjectMethodAction(this, "scrollToPageFromBroker"));
}
PagingWidget.prototype.setPageIndicatorToActivePage = function()
{
   var newXPos = (this.activePage - this.firstVisiblePageNumber) * this.pageNumberDimensionX;
   newXPos += this.firstVisibleElementXPos;
   newXPos += Math.floor(this.pageNumberDimensionX / 2);
   newXPos -= Math.floor(Browser.getElementById(this.activePageIndicatorId).offsetWidth / 2);
   var newYPos = Browser.getElementById(this.pageNumbers[0]).offsetTop + Browser.getElementById(this.pageNumbers[0]).offsetHeight;
   Browser.changePixelStyleById(this.activePageIndicatorId, 'left', newXPos);
   Browser.changePixelStyleById(this.activePageIndicatorId, 'top', newYPos);
}
PagingWidget.prototype.eventFromChild = function(childName, eventType)
{
    ;
//;
    switch(eventType)
    {
        case "mouseover" :
        break;
        case "mouseout" :
        break;
        case "mousedown" :
        break;
        case "mouseup" :
        break;
        case "click" :
            ;
            for (var i=0; i < this.pageNumbers.length; i++)
            {
                if (this.pageNumbers[i] == this.domlets[childName].domId)
                {
                    if (this.pagingBroker)
                    {
                        this.pagingBroker.getJumpToAction(i).invoke();
                    }
                    else
                    {
                        this.scrollToPage(i + 1);
                    }
                }
            }
        break;
    }
} 
PagingWidget.prototype.getOnePageLeftAction = function()
{
    return new ObjectMethodAction(this, "onePageLeft");
}
PagingWidget.prototype.getOnePageRightAction = function()
{
    return new ObjectMethodAction(this, "onePageRight");
}
