/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>TigraCalendar</DEPENDS>
</DEPENDENCIES>
*/
function DatePicker(sId)
{
	if (sId)
	{
		this.init(sId);
	}
}
DatePicker.prototype.init = function(sId)
{
	this.sId = sId;
	this.textFieldId = null;
	this.calendar = null;
	this.datePickedHandles = new Array();
}
DatePicker.prototype.getId = function()
{
	return this.sId;
}
DatePicker.prototype.setTextField = function(domId)
{
	this.textFieldId = domId;
}
DatePicker.prototype.getHideDatePickerAction = function()
{
	return new ObjectMethodAction(this, "hide");
}
DatePicker.prototype.getShowDatePickerAction = function()
{
	return new ObjectMethodAction(this, "show");
}
DatePicker.prototype.addDatePickedHandle = function(action)
{
	this.datePickedHandles.push(action);
}
DatePicker.prototype.start = function()
{
	var textField = Browser.getElementById(this.textFieldId);
	this.calendar = new TigraCalendar(textField, Browser.getBaseURL(), this);
}
DatePicker.prototype.hide = function()
{
	
}
DatePicker.prototype.show = function()
{
	this.calendar.popup();
}
DatePicker.prototype.datePicked = function(sDate)
{
	for (var i=0; i < this.datePickedHandles.length; i++)
		this.datePickedHandles[i].invoke(sDate);
}
