/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Browser</DEPENDS>
    <DEPENDS>StoryElement</DEPENDS>
</DEPENDENCIES>
*/
StoryElementUser.prototype             = new StoryElement();
StoryElementUser.prototype.constructor = StoryElementUser;
StoryElementUser.superclass            = StoryElement.prototype;
function StoryElementUser(sId, sText, sSoundUrl, oChild)
{
  this.init(sId, sText, sSoundUrl, oChild);
}
StoryElementUser.prototype.init = function(sId, sText, sSoundUrl, oChild)
{
  StoryElementUser.superclass.init.call(this, sId, sText, sSoundUrl, false)
  this.oChild = oChild; 
  this.aUtterances = new Array();  
}
StoryElementUser.prototype.setUtterances = function(aUtterances)
{
  this.aUtterances = new Array();
  for(var i in aUtterances)
  {
    var u = aUtterances[i];
    this.aUtterances[u.getKey()] = u;
  }
}
StoryElementUser.prototype.hasUtterance = function(sUtteranceKey)
{
  for(var key in this.aUtterances)
  {
    if(key == sUtteranceKey)
    {
      return true;
    }
  }
  return false;
}
StoryElementUser.prototype.getUtterance = function(sUtteranceKey)
{
  return this.aUtterances[sUtteranceKey];
}
StoryElementUser.prototype.getChildElementSystem = function()
{
  return this.oChild;
}
