/*
<DEPENDENCIES>
   <DEPENDS>Browser</DEPENDS>
   <DEPENDS>Logger</DEPENDS>
</DEPENDENCIES>
*/
function FlashSequencePlayer(domId, playerUrl, resourceUrls,resourceTitles,
			   sequenceTitle, fontColor, fontSize, imgPlay, imgStop, introtext,
			   height, width, autostart)
{
   if (domId)
   {
	   this.init(domId, playerUrl, resourceUrls,resourceTitles,
			   sequenceTitle, fontColor, fontSize, imgPlay, imgStop, introtext,
			   height, width, autostart);
   }
}
FlashSequencePlayer.prototype.getInitMuteAction = function()
{
return new ObjectMethodAction(this, 'initPlayer', true);
}
FlashSequencePlayer.prototype.getInitPlayAction = function()
{
return new ObjectMethodAction(this, 'initPlayer', false);
}
FlashSequencePlayer.prototype.init = function(domId, playerUrl, resourceUrls,resourceTitles,
			   sequenceTitle, fontColor, fontSize, imgPlay, imgStop, introtext,
			   height, width, autostart)
{
 ;
 this.domId = domId;
 this.playerUrl = playerUrl;
 this.width = width;
 this.height = height;
 this.staticparam = "&introtext=" + introtext
	+ "&autostart=" + autostart
	   + "&headTitle=" + sequenceTitle
	   + "&imgPlay=" + imgPlay
	   + "&imgStop=" + imgStop
	   + "&fontSize=" + fontSize
	   + "&fontColor=" + fontColor
	   + "\'";
 resourceUrls = resourceUrls.replace (/%3D/g, "=");
 resourceUrls = resourceUrls.replace (/%26/g, "&");
 this.resourceUrls = resourceUrls;
 resourceTitles = resourceTitles.replace (/%3D/g, "=");
 resourceTitles = resourceTitles.replace (/%26/g, "&");
 this.resourceTitles = resourceTitles;
}
FlashSequencePlayer.prototype.initPlayer = function(mute)
{
   var muteParam = "&mute=0";
   if (mute)
muteParam = "&mute=1";
   var flashURL =  this.playerUrl + "?"
	+ this.resourceUrls
	+ "&" + this.resourceTitles
	+ muteParam
	+ this.staticparam;
   this.renderPlayer(flashURL);
}
FlashSequencePlayer.prototype.renderPlayer = function(flashUrl)
{
if (document.all)
{
	var objectString = "<object type=\'application/x-shockwave-flash\' width=\'"+this.width+"\' height=\'"+this.height+"\' id=\'flashplayer\' >";
	var objectClose = "</object>";
	var paramMovie = "<param name=\'movie\' value=\'"+flashUrl+"\' />";
	var paramQuality = "<param name=\'quality\' value=\'high\' />";
	var paramScale = "<param name=\'scale\' value=\'exactfit\' />";
	var paramMenu = "<param name=\'menu\' value=\'false\' />";
	document.getElementById(this.domId).innerHTML = objectString + paramMovie + paramQuality + paramScale + paramMenu + objectClose;
}
else
{
	 var embedString = "<embed src=\'" + flashUrl + "\' quality=\'high\' width=\'"+this.width+"\' height=\'"+this.height+"\' type=\'application/x-shockwave-flash\' scale=\'exactfit\' menu=\'false\'></embed>";
	 document.getElementById(this.domId).innerHTML = embedString;
}
}
