/*
<DEPENDENCIES>
  <DEPENDS>Logger</DEPENDS>
</DEPENDENCIES>
*/
function DynamicText( sId, sWidgetDomId )
{
  if( sId )
  {
    this.init(sId, sWidgetDomId);
  }
}
DynamicText.prototype.init = function( sId, sWidgetDomId )
{
  this.sId = sId;
  this.sWidgetDomId = sWidgetDomId;
  this.nWidget = document.getElementById(sWidgetDomId);
  this.nContent = null;
  this.aChangedHandles = new Array();
}
DynamicText.prototype.getId = function()
{
  return this.sId;
}
DynamicText.prototype.setContent = function( content )
{
  if( this.nContent != null )
    this.nWidget.removeChild(this.nContent);
  this.nContent = document.createTextNode(content);
  this.nWidget.appendChild(this.nContent);
  DynamicText.notifyListeners(this.aChangedHandles);
}
DynamicText.prototype.getSetContentAction = function()
{
  return new ObjectMethodAction(this, "setContent");
}
DynamicText.prototype.addContentSetHandle = function( action )
{
  if( action )
    this.aChangedHandles.push(action);
}
DynamicText.notifyListeners = function( handles )
{
  for( var i = 0; i < handles.length; i++ )
  {
    handles[i].invoke();
  }
}
