/*
<DEPENDENCIES>
    <DEPENDS>Browser</DEPENDS>
    <DEPENDS>Logger</DEPENDS>
</DEPENDENCIES>
*/
function UserManager(sId, sRegisterURL, wbt)
{
  this.wbt = wbt;
  this.sId = sId;
  this.sRegisterURL = sRegisterURL;
  this.aValidUsers = new Array();
  this.oBroker = null;
}
UserManager.prototype.init = function()
{
  ;
  this.oUsernameInputWidget = document.getElementById(this.sUsernameInputWidgetDomId);
  if (this.oUsernameInputWidget == null)
  {
    ;
  }
  this.oPasswordInputWidget  = document.getElementById(this.sPasswordInputWidgetDomId);
  if (this.oPasswordInputWidget == null)
  {
    ;
  }
  this.oForm  = document.getElementById(this.sFormDomId);
  if (this.oForm == null)
  {
    ;
  }
}
UserManager.prototype.getId = function()
{
  ////;
  return this.sId;
}
UserManager.prototype.registerValidUser = function(sUser)
{
  ;
  for ( var i = 0; i < this.aValidUsers.length; i++ )
  {
    if ( sUser == this.aValidUsers[i])
    {
      ;
      break;
    }
  }
  this.aValidUsers.push(sUser);
}
UserManager.prototype.setBroker = function(oBroker)
{
  ;
  this.oBroker = oBroker;
}
UserManager.prototype.setUsernameInputField = function(sUsernameInputWidgetDomId)
{
  this.sUsernameInputWidgetDomId = sUsernameInputWidgetDomId;
}
UserManager.prototype.setPasswordInputField = function(sPasswordInputWidgetDomId)
{
  this.sPasswordInputWidgetDomId = sPasswordInputWidgetDomId;
}
UserManager.prototype.loginUser = function()
{
  ;
  this.oUsernameInputWidget.value = this.trim(this.oUsernameInputWidget.value);
  this.oPasswordInputWidget.value = this.trim(this.oPasswordInputWidget.value);
  var sUser = this.oUsernameInputWidget.value;
  var sPassword = this.oPasswordInputWidget.value;
  if (sUser.length == 0)
  {
    this.oBroker.doNoValidUsername();
    return;
  }
  if (sPassword.length == 0)
  {
    this.oBroker.doNoValidPassword();
    return;
  }
  if (this.wbt == false)
  {
      for ( var i = 0; i < this.aValidUsers.length; i++ )
      {
        if ( sUser == this.aValidUsers[i] )
        {
            if ( this.oBroker )
                return this.oBroker.doAfterRegisterNewUser();
        }
      }
      if ( this.oBroker )
      {
        this.oBroker.doInvalidUser();
      }
      return;
    }
    else
    {
        return this.oBroker.doAfterRegisterNewUser();
    }
}
UserManager.prototype.getLoginUserAction = function()
{
    return new ObjectMethodAction(this, "loginUser");
}
UserManager.prototype.selectUser = function(user)
{
  ;
  this.oUsernameInputWidget.value = user;
}
UserManager.prototype.getSelectUserAction = function(user)
{
    return new ObjectMethodAction(this, "selectUser", user);
}
UserManager.prototype.addSelectUserHandle = function(action)
{
  this.registerAction('selectUser', action);
}
UserManager.prototype.getRegisterNewUserAction = function()
{
    return new ObjectMethodAction(this, "registerNewUser");
}
UserManager.prototype.trim = function(s)
{
    while(s.length != 0 && s.charAt(0) == ' ')
    {
        s = s.substring(1,s.length);
    }
    while(s.length != 0 && s.charAt(s.length-1) == ' ')
    {
        s = s.substring(0,s.length-1);
    }
    return s;
}
UserManager.prototype.registerNewUser = function()
{
  ;
  this.oUsernameInputWidget.value = this.trim(this.oUsernameInputWidget.value);
  this.oPasswordInputWidget.value = this.trim(this.oPasswordInputWidget.value);
  var user = this.oUsernameInputWidget.value;
  var passwd = this.oPasswordInputWidget.value;
  this.registerValidUser(user);
  var broker = this.oBroker;
 var url = this.sRegisterURL
                + "?j_username="
                + encodeURIComponent(user)
                + "&j_password="
                + encodeURIComponent(passwd);
  Browser.callURL( url ,broker.getAfterRegisterNewUserAction());
}
