/*
<DEPENDENCIES>
<DEPENDS>Browser</DEPENDS>
<DEPENDS>Logger</DEPENDS>
<DEPENDS>DomletCtr</DEPENDS>
<DEPENDS>Domlet</DEPENDS>
</DEPENDENCIES>
*/
SliderStepImage.prototype = new DomletCtr();
SliderStepImage.prototype.constructor = SliderStepImage;
SliderStepImage.superclass = DomletCtr.prototype;
function SliderStepImage( domId,
                          maxWidth, numberOfSteps, initialStep, imgsrc, width, height, border, style
        )
{
  if( domId ) 
  {
    this.domId = domId;
    this.stepWidth = maxWidth / (numberOfSteps - 1);
    this.imgsrc = imgsrc;
    this.width = width;
    this.height = height;
    this.border = border;
    this.style = style;
    this.changeWidth(initialStep);
  }
}
SliderStepImage.prototype.changeWidth = function( step )
{
//  ;
  if( this.domId )
  {
    var imagesource = this.imgsrc;
    var imagewidth = this.getWidth(step);
    var imageheight = this.height;
    var imageborder = this.border;
    var imagestyle = this.style;
    var attrSrc = "src=\'" + imagesource + "\' ";
    var attrWidth = "width=\'" + imagewidth + "\' ";
    var attrHeight = "height=\'" + imageheight + "\' ";
    var attrBorder = "border=\'" + imageborder + "\' ";
    var attrStyle = "";
    if( imagestyle )
    {
//      ;
      if( 'ie' == Browser.getId() )
      {
        attrStyle = "style=\'" + imagestyle + "margin-left:0px; \' ";
      }
      else
      {
        attrStyle = "style=\'" + imagestyle + "\' ";
      }
    }
    var imgOpen = "<img ";
    var imgClose = "</img>";
    var value = imgOpen + attrSrc + attrWidth + attrHeight + attrBorder + attrStyle + ">" + imgClose;
    document.getElementById(this.domId).innerHTML = value;
  }
}
SliderStepImage.prototype.getChangeWidthAction = function()
{
  return new ObjectMethodAction(this, "changeWidth");
}
SliderStepImage.prototype.getWidth = function( step )
{
  return this.stepWidth * step;
}
